| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Pos::RandomFilter2D Class Reference
Algo

Passes a percentage of the positions (2D). More...

`#include <posfilterstd.h>`

Inheritance diagram for Pos::RandomFilter2D:
[legend]

## Public Member Functions
Filter * | clone () const override
const char * | factoryKeyword () const override
bool | includes (const Coord &, float z=1e30) const override
bool | includes (int, float z=1e30, int nr=0) const override
bool | is2D () const override
const char * | type () const override
Public Member Functions inherited from Pos::Filter2D
| Filter2D ()
| ~Filter2D ()
void | addGeomID (const Pos::GeomID)
Pos::GeomID | geomID (int) const
bool | includes (Pos::GeomID, int trcnr, float z=mUdf(float)) const
int | nrLines () const
void | removeGeomID (int lidx)
Public Member Functions inherited from Pos::Filter
virtual | ~Filter ()
virtual float | adjustedZ (const Coord &, float z) const
virtual bool | hasZAdjustment () const
virtual bool | isProvider () const
Public Member Functions inherited from Pos::RandomFilter
| RandomFilter ()
| RandomFilter (const RandomFilter &)
| ~RandomFilter ()
float | estRatio (const Provider &) const override
void | fillPar (IOPar &) const override
void | getSummary (BufferString &) const override
bool | initialize (TaskRunner *=nullptr) override
RandomFilter & | operator= (const RandomFilter &)
void | reset () override
void | usePar (const IOPar &) override

## Static Public Member Functions
static Filter2D * | create ()
static void | initClass ()
Static Public Member Functions inherited from Pos::Filter2D
static Filter2D * | make (const IOPar &)
Static Public Member Functions inherited from Pos::Filter
static Filter * | make (const IOPar &, bool is2d)
Static Public Member Functions inherited from Pos::RandomFilter
static const char * | ratioStr ()
static const char * | typeStr ()

## Additional Inherited Members
Public Attributes inherited from Pos::RandomFilter
float | passratio_ = 0.01f
Protected Member Functions inherited from Pos::RandomFilter
bool | drawRes () const
void | initStats ()
Protected Attributes inherited from Pos::Filter2D
TypeSet< Pos::GeomID > | geomids_

## Detailed Description

Passes a percentage of the positions (2D).

<>

## Member Function Documentation

## ◆ clone()

Filter * Pos::RandomFilter2D::clone | ( |  | ) | const
| inline override virtual

Implements Pos::Filter.

## ◆ create()

static Filter2D * Pos::RandomFilter2D::create | ( |  | ) |
| inline static

## ◆ factoryKeyword()

const char * Pos::RandomFilter2D::factoryKeyword | ( |  | ) | const
| inline override

## ◆ includes() [1/2]

bool Pos::RandomFilter2D::includes | ( | const Coord & | ,
|  | float | z = 1e30 ) const
| inline override virtual

Implements Pos::Filter2D.

## ◆ includes() [2/2]

bool Pos::RandomFilter2D::includes | ( | int | ,
|  | float | z = 1e30,
|  | int | nr = 0 ) const
| inline override virtual

Implements Pos::Filter2D.

## ◆ initClass()

static void Pos::RandomFilter2D::initClass | ( |  | ) |
| static

## ◆ is2D()

bool Pos::RandomFilter2D::is2D | ( |  | ) | const
| inline override virtual

Reimplemented from Pos::Filter2D.

## ◆ type()

const char * Pos::RandomFilter2D::type | ( |  | ) | const
| inline override virtual

Implements Pos::Filter.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025